<?php
/**
 * Plugin Name: افزونه حل مشکل کدپستی فارسی ووکامرس
 * Plugin URI:  https://www.webmastersalam.com/
 * Description: این افزونه مشکل وارد کردن کدپستی را با صفحه کلید فارسی در ووکامرس برطرف می کند
  * Author:      اسماعیل نورمحمدی
 * Version:     2.1
 */
add_filter( 'woocommerce_format_postcode', 'roka_woocommerce_format_postcode', 2, 10 );
 
function roka_woocommerce_format_postcode( $postcode, $country ) {
	return fa2en( $postcode );
}
 
function fa2en( $input ) {
	$num_pairs = Array ( "۰" => "0", "۱" => "1", "۲" => "2", "۳" => "3", "۴" => "4",
		"۵" => "5", "۶" => "6", "۷" => "7", "۸" => "8", "۹" => "9" );
		
	return strtr( $input, $num_pairs );
}